Page MenuHomePhabricator

Make it possible to convert a bare URL reference that I just added
Closed, ResolvedPublic1 Estimated Story Points

Description

How it works if the URL is pre-existing:

  1. Select the footnote that contains a bare URL, such as http://www.example.com
  2. See the "Convert" option in the context menu.
  3. Click the Convert button.
  4. Be happy.

How it works if I just added the URL:

  1. Click Cite > Manual > Basic and insert a ref containing only a bare URL.
  2. Realized that this is a mistake, and decide to try the citoid service.
  3. Select the footnote to get the context menu. No Convert button.
  4. Click the Cite button to choose Automatic. My URL isn't pre-filled, and it looks like it's inserting a second ref.
  5. Be sad.

Desired result: Happiness. Also, less link-rot.

Event Timeline

Whatamidoing-WMF raised the priority of this task from to Needs Triage.
Whatamidoing-WMF updated the task description. (Show Details)
Whatamidoing-WMF added a subscriber: Whatamidoing-WMF.
Restricted Application added a project: VisualEditor. · View Herald TranscriptJan 15 2016, 7:43 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
Jdforrester-WMF renamed this task from Make it possible to Convert a bare URL that I just added to Make it possible to convert a bare URL reference that I just added.Feb 2 2016, 8:23 PM
Jdforrester-WMF triaged this task as Medium priority.
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to Freezer on the VisualEditor board.

If I create a basic reference with just a link I get the convert button.

Stryn added a subscriber: Stryn.Sep 19 2016, 4:53 PM
matmarex closed this task as Resolved.May 10 2018, 9:26 PM
matmarex added a subscriber: matmarex.

If I create a basic reference with just a link I get the convert button.

Same here, this works for me. If it doesn't work for you, please provide reproduction steps.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMay 10 2018, 9:26 PM

This works as desired for me now.